# PA165 Formula One Team

## Team members:

| Name                  | Role                                     | GitLab login | UČO        |
|:----------------------|:-----------------------------------------|:-------------|:-----------|
| Diana Gulčíková       | Team leader, medior Java developer       | @xgulcik     | 493356     |
| Tomáš Marek           | Junior Java developer                    | @xmarek14    | 485386     |
| Andrej Šimurka        | Junior Java developer                    | @xsimurka    | 492781     |
| Oto Stanko            | Junior Java developer                    | @xstanko     | 493068     |

## Project description

Formula 1 manager for team, where a manager can accept, and dismiss driver for a team,
also manager can pick a driver for a specific car and assign this Car, Driver pair for 
a race configuration. Technicians can evolve new components and manager picks these 
components for a car.

## Official assigment:

A Formula 1 team is in need to manage its participation to the world championship. The team 
has two cars participating to each race, each one driven by one driver, with other test 
drivers available to develop the car further. The manager of the team can set the driver for 
each car and manage a list of other (test) drivers that are under contract and he can also 
set as main drivers if unhappy about results. Each driver has a name, surname, nationality, 
and set of characteristics (e.g. driving on the wet, aggressiveness, etc..) that the manager 
can visualize. The car is composed of several components (engine, suspensions), that the 
different departments of the team (e.g. engine, aerodynamics) evolve during time. The manager 
can pick from a list of components and assemble the cars that will participate to the next race. 
Engineers from other departments can login to the system and put newer components available. 
The manager is notified that those components are available and that they can be used to improve 
the car.

## Project structure

Project contains following modules as microservices:

### common_library

`mvn -pl common_library spring-boot:run`

Common classes used across the application.


### car

`mvn -pl car spring-boot:run`

Management of cars.
Runs on port 8082.


### component

`mvn -pl component spring-boot:run`

Management of components.
Runs on port 8084.


### driver

`mvn -pl driver spring-boot:run`

Management of drivers.
Runs on port 8083.


### race

`mvn -pl race spring-boot:run`

Management of races.
Runs on port 8081.


## Diagrams
### Use case

![My Image](use_case.png "Use case diagram")


### Class diagram

![My Image](class_diagram.png "Class diagram")
