package cz.muni.pa165.car;

import cz.muni.pa165.car.data.model.Car;
import cz.muni.pa165.common_library.exception.RestExceptionHandler;
import cz.muni.pa165.component.data.model.CarComponent;
import cz.muni.pa165.driver.data.model.Driver;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.annotation.Import;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

/**
 * Main app.
 */
@SpringBootApplication
@EnableJpaRepositories(basePackages = {"cz.muni.pa165.car.data.repository"})
@EntityScan(basePackageClasses = {Car.class, Driver.class, CarComponent.class})
@Import(RestExceptionHandler.class)
public class App {

  public static void main(String[] args) {
    SpringApplication.run(App.class, args);
  }
}
