package cz.muni.pa165.car.service;

import cz.muni.pa165.common_library.dtos.CarComponentDto;
import cz.muni.pa165.common_library.dtos.CarDto;
import java.util.List;

/**
 * Interface for manipulation with car's components.
 */
public interface CarComponentPairService {
  /**
   * Calls repository to add a component to a car.
   *
   * @param componentId Id of the component.
   * @param carId       Id of the car.
   * @return Car with added component.
   */
  CarDto addComponent(Long componentId, Long carId);

  /**
   * Calls repository to remove a component from a car.
   *
   * @param componentId Id of the component.
   * @param carId       Id of the car.
   * @return Car with removed component.
   */
  CarDto removeComponent(Long componentId, Long carId);

  /**
   * Calls repository ond returns oll components of specific car.
   *
   * @param carId Id of the car.
   * @return Components of the cat.
   */
  List<CarComponentDto> getAllComponentsOfCar(Long carId);
}
