package cz.muni.pa165.common_library.dtos;

import cz.muni.pa165.common_library.validator.ValidCharacteristics;
import io.swagger.annotations.ApiModelProperty;
import jakarta.validation.constraints.NotBlank;
import java.util.Map;

/**
 * Dto used for creating new driver object.
 */
public record DriverAddDto(@NotBlank
                           @ApiModelProperty(value = "Name of driver", example = "Fernando")
                           String name,

                           @NotBlank
                           @ApiModelProperty(value = "Surname of driver", example = "Alonso")
                           String surname,

                           @NotBlank
                           @ApiModelProperty(value = "Nationality of driver", example = "Spanish")
                           String nationality,

                           @ValidCharacteristics({
                               "Experience",
                               "Aggressiveness",
                               "Consistency",
                               "Racecraft"})
                           @ApiModelProperty(
                               value = "Characteristics of driver",
                               example = "{\"Experience\": 1,\"Aggressiveness\" : 1}")
                           Map<String, Integer> characteristics) {
}
