package cz.muni.pa165.common_library.dtos;

import cz.muni.pa165.common_library.validator.ValidCharacteristics;
import jakarta.annotation.Nullable;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import java.util.Map;

/**
 * Dto for Driver insight.
 */
public record DriverInsightDto(@NotNull Long id,
                               @NotBlank String name,
                               @NotBlank String surname,
                               @NotBlank String nationality,
                               @ValidCharacteristics({
                                   "Experience",
                                   "Aggressiveness",
                                   "Consistency",
                                   "Racecraft"})
                               Map<String, Integer> characteristics) {
}

