package cz.muni.pa165.common_library.dtos;

import cz.muni.pa165.common_library.validator.ValidCharacteristics;
import io.swagger.annotations.ApiModelProperty;
import jakarta.annotation.Nullable;
import java.util.Map;

/**
 * Dto for updating driver.
 */
public record DriverUpdateDto(@Nullable
                              @ApiModelProperty(value = "Name of driver", example = "Fernando")
                              String name,

                              @Nullable
                              @ApiModelProperty(value = "Surname of driver", example = "Alonso")
                              String surname,

                              @Nullable
                              @ApiModelProperty(value = "Nationality of driver",
                                  example = "Spanish")
                              String nationality,

                              @ValidCharacteristics({
                                  "Experience",
                                  "Aggressiveness",
                                  "Consistency",
                                  "Racecraft"})
                              @ApiModelProperty(
                                  value = "Characteristics of driver",
                                  example = "{\"Experience\": 1,\"Aggressiveness\" : 1}")
                              Map<String, Integer> characteristics) {
}
