package cz.muni.pa165.component;

import cz.muni.pa165.common_library.exception.RestExceptionHandler;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.annotation.Import;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

/**
 * Main app.
 */
@SpringBootApplication
@EnableJpaRepositories(basePackages = {"cz.muni.pa165.component.data.repository"})
@EntityScan("cz.muni.pa165.component.data.model")
@Import(RestExceptionHandler.class)
public class App {

  public static void main(String[] args) {
    SpringApplication.run(App.class, args);
  }
}
