package cz.muni.pa165.race;

import cz.muni.pa165.car.data.model.Car;
import cz.muni.pa165.common_library.client.ClientConfig;
import cz.muni.pa165.common_library.exception.RestExceptionHandler;
import cz.muni.pa165.component.data.model.CarComponent;
import cz.muni.pa165.driver.data.model.Driver;
import cz.muni.pa165.race.data.model.Race;
import cz.muni.pa165.race.data.model.Season;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.annotation.Import;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * Main app.
 */
@SpringBootApplication
@EnableJpaRepositories(basePackages = "cz.muni.pa165.race.data.repository")
@EnableTransactionManagement
@EntityScan(basePackageClasses = {Race.class, Season.class, Car.class, Driver.class, CarComponent.class})
@Import({RestExceptionHandler.class, ClientConfig.class})
public class App {

  public static void main(String[] args) {
    SpringApplication.run(App.class, args);
  }
}
